# proxmox

## Overview

The proxmox module (will) provide a simple way to manage Proxmox hypervisor and it's virtual machines (KVM/OpenVZ) with Puppet.

## Module Description

The proxmox module automates installing Proxmox on Debian systems.

## Setup

### What proxmox affects:

* Package/service/configuration files for Proxmox
* A new `sources.list` file for Proxmox
* System repository
* The static table lookup for hostnames `hosts`

### Beginning with proxmox

To begin using proxmox module with default parameters, declare the hypervisor's class with `include proxmox::hypervisor`.

## Usage

### Hypervisor

```
class { 'proxmox::hypervisor':

}
```

**Note**: The module will automatically reboot the system on the PVE Kernel. You will need to start again the puppet agent. 

### VM

...

## Reference

### Classes

* `proxmox`: Main class, do nothing right now.

* `proxmox::hypervisor`: Install the Proxmox hypervisor on the system.

Limitations
-----------

This module will work only on Debian 7.x versions.

Development
-----------

Free to send contributions, fork it, ...

License
-------

WTFPL (http://wtfpl.org/)

