# == Class: proxmox::hypervisor
#
# Manage the Proxmox hypervisor.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if it
#   has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should not be used in preference to class parameters  as of
#   Puppet 2.6.)
#
# === Examples
#
#  class { '::proxmox::hypervisor':
#    kvm_only => true,
#  }
#
# === Authors
#
# Gardouille <gardouille@gmail.com>
#
# === Copyright
#
# WTFPL <http://wtfpl.org/>
#
class proxmox::hypervisor (
  $ve_package_ensure          = $proxmox::params::ve_package_ensure,
  $old_package_ensure         = $proxmox::params::old_package_ensure,
) inherits proxmox::params {
  
  include '::proxmox::hypervisor::preconfig'
#  include '::proxmox::hypervisor::install'
#  include '::proxmox::hypervisor::config'

#  Class['proxmox::hypervisor::preconfig'] ->
#  Class['proxmox::hypervisor::install'] ->
#  Class['proxmox::hypervisor::config']

} # Public class: proxmox::hypervisor
